%define base_name	pclinuxos-black

Name:				plymouth-theme-%{base_name}
Summary:			PCLinuxOS Black Plymouth Theme
Version:			1.0
Release:			%mkrel 2
License: 			CC BY-NC-SA v3.0
URL:				http://pclinuxos.packagecloud.com
Group:				System/Kernel and hardware
Source:				%{name}.tar.xz
BuildRoot: 			%{_tmppath}/%{name}-buildroot
BuildArch:			noarch
Requires:			glibc >= 2.10.1

%description
PCLinuxOS Black Plymouth Theme. A standalone or part of a KDE theme PCLinuxOS Black.

%prep

%setup -q -n PCLinuxOS-Black

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/PCLinuxOS-Black
cp * $RPM_BUILD_ROOT/%{_datadir}/plymouth/themes/PCLinuxOS-Black

%posttrans
/usr/sbin/plymouth-set-default-theme PCLinuxOS-Black
/usr/share/bootsplash/scripts/switch-themes PCLinuxOS-Black

%files
%defattr(-,root,root)
%{_datadir}/plymouth/themes/PCLinuxOS-Black/*
%dir %{_datadir}/plymouth/themes/PCLinuxOS-Black

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{name}

%changelog
* Sat Jul 02 2011 Archie <pclinuxos.ph at gmail.com> 1.0-2_archie_2011
- improved script to scale correctly with background

* Mon Jun 27 2011 Archie <pclinuxos.ph at gmail.com> 1.0-1_archie_2011
- create package, added extra PNGs and rescaled
